Last Comment Bug 556673 - spurious block in toolkit/components/Makefile.in prevents distclean from working properly
: spurious block in toolkit/components/Makefile.in prevents distclean from work...
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: philippe (part-time)
:
Mentors:
http://mxr.mozilla.org/mozilla1.9.2/s...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-01 19:17 PDT by philippe (part-time)
Modified: 2010-04-09 14:52 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.4-fixed
.10-fixed


Attachments
distclean failure log (39.78 KB, application/zip)
2010-04-01 19:17 PDT, philippe (part-time)
no flags Details
patch that fixes the issue (gecko 1.9.2) (418 bytes, patch)
2010-04-01 19:25 PDT, philippe (part-time)
no flags Details | Diff | Review
patch that fixes the issue (gecko 1.9.2) (415 bytes, patch)
2010-04-01 19:45 PDT, philippe (part-time)
ted: review+
mbeltzner: approval1.9.2.4+
mbeltzner: approval1.9.1.10+
Details | Diff | Review

Description philippe (part-time) 2010-04-01 19:17:06 PDT
Created attachment 436624 [details]
distclean failure log

When building Camino based on gecko 1.9.2:
make -f client.mk distclean ends in failure (see attached log, with distclean -w)

affected block (on gecko 1.9.2):
ifeq ($(MOZ_BUILD_APP),camino)
DIRS += autocomplete/public
DIRS += downloads/public
endif

removing the block fixes the issue (successful distclean - and successful build afterwards)

m-c version:
http://mxr.mozilla.org/mozilla-central/source/toolkit/components/Makefile.in#123
Comment 1 philippe (part-time) 2010-04-01 19:25:15 PDT
Created attachment 436626 [details] [diff] [review]
patch that fixes the issue (gecko 1.9.2)
Comment 2 philippe (part-time) 2010-04-01 19:45:10 PDT
Created attachment 436628 [details] [diff] [review]
patch that fixes the issue (gecko 1.9.2)

with extra lines removed
Comment 3 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-04-01 21:13:36 PDT
(These are leftovers from the bad old days of trying to remove xpfe/components; now that Camino builds "all" of toolkit/components by default, all this block does is make us try to delete Makefiles a second time during distclean, after the main portion of the file has handled them.)
Comment 4 Ted Mielczarek [:ted.mielczarek] 2010-04-07 12:35:40 PDT
Comment on attachment 436628 [details] [diff] [review]
patch that fixes the issue (gecko 1.9.2)

Obviously this needs to land on mozilla-central before it can go to 1.9.2.
Comment 5 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-04-08 18:01:56 PDT
http://hg.mozilla.org/mozilla-central/rev/ef7261b4a589 (but with the bug number of an orange I was starring instead of the number for this bug :( )
Comment 6 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-04-08 18:05:36 PDT
Comment on attachment 436628 [details] [diff] [review]
patch that fixes the issue (gecko 1.9.2)

Requesting branch approval; this is a trivial patch that just removes an unneeded Camino-only block which breaks distcleans for Camino. It does not affect any other product.
Comment 7 Mike Beltzner [:beltzner, not reading bugmail] 2010-04-09 13:21:13 PDT
Comment on attachment 436628 [details] [diff] [review]
patch that fixes the issue (gecko 1.9.2)

a=beltzner for 1.9.1.10 and 1.9.2.4; Al, no verification needed
Comment 8 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-04-09 14:52:44 PDT
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/19b16993e7ec
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/9cf3a3e0d7c1

Note You need to log in before you can comment on or make changes to this bug.